## ros-iron-ros2cli 0.25.3

=== debian/changelog ===
ros-iron-ros2cli (0.25.3-1jammy) jammy; urgency=high

  * Fix tests with get_type_description service and param present (#839 <https://github.com/ros2/ros2cli/issues/839>)
  * Contributors: Emerson Knapp

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-ros2cli (0.25.2-1jammy) jammy; urgency=high

  * Add marshalling functions for rclpy.type_hash.TypeHash (#835 <https://github.com/ros2/ros2cli/issues/835>)
  * Contributors: Hans-Joachim Krauch

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-ros2cli (0.25.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-ros2cli (0.25.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 17 Apr 2023 16:00:00 -0000

ros-iron-ros2cli (0.24.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-ros2cli (0.24.0-1jammy) jammy; urgency=high

  * Set automatically_declare_parameters_from_overrides in DirectNode. (#813 <https://github.com/ros2/ros2cli/issues/813>)
  * Enable document generation using rosdoc2 (#811 <https://github.com/ros2/ros2cli/issues/811>)
  * Contributors: Chris Lalancette, Yadu

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-ros2cli (0.23.0-1jammy) jammy; urgency=high

  * Fix linters (#808 <https://github.com/ros2/ros2cli/issues/808>)
  * add timeout option for ros2param to find node. (#802 <https://github.com/ros2/ros2cli/issues/802>)
  * Contributors: Cristóbal Arroyo, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 01 Mar 2023 16:00:00 -0000

ros-iron-ros2cli (0.22.0-1jammy) jammy; urgency=high

  * Save method list via connection check to XMLRPC server. (#796 <https://github.com/ros2/ros2cli/issues/796>)
  * ZSH argcomplete: call compinit only if needed (#750 <https://github.com/ros2/ros2cli/issues/750>)
  * Fix network aware node issue (#785 <https://github.com/ros2/ros2cli/issues/785>)
  * [rolling] Update maintainers - 2022-11-07 (#776 <https://github.com/ros2/ros2cli/issues/776>)
  * Contributors: Audrow Nash, Ivan Santiago Paunovic, Tomoya Fujita, mjbogusz

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-ros2cli (0.21.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-ros2cli (0.20.0-1jammy) jammy; urgency=high

  * XMLRPC server accepts request from all local IP addresses. (#729 <https://github.com/ros2/ros2cli/issues/729>)
  * Contributors: Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-ros2cli (0.19.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-ros2cli (0.18.3-1jammy) jammy; urgency=high

  * Fix importlib_metadata warning on Python 3.10. (#706 <https://github.com/ros2/ros2cli/issues/706>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-ros2cli (0.18.2-1jammy) jammy; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-iron-ros2cli (0.18.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-ros2cli (0.18.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-ros2cli (0.17.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-iron-ros2cli (0.17.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-iron-ros2cli (0.16.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-ros2cli (0.16.0-1jammy) jammy; urgency=high

  * Use try_shutdown() instead of shutdown() in DirectNode.__exit__() (#683 <https://github.com/ros2/ros2cli/issues/683>)
  * Contributors: Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-ros2cli (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Reapply #659 <https://github.com/ros2/ros2cli/issues/659> (#661 <https://github.com/ros2/ros2cli/issues/661>)
  * Revert "Make the ros2cli output always line buffered (#659 <https://github.com/ros2/ros2cli/issues/659>)" (#660 <https://github.com/ros2/ros2cli/issues/660>)
  * Make the ros2cli output always line buffered (#659 <https://github.com/ros2/ros2cli/issues/659>)
  * add uuid to ros2 daemon node name. (#658 <https://github.com/ros2/ros2cli/issues/658>)
  * Transfer daemon socket ownership on spawn. (#652 <https://github.com/ros2/ros2cli/issues/652>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic, Michel Hidalgo, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-iron-ros2cli (0.14.0-1jammy) jammy; urgency=high

  * Ensure only one daemon can run at a time. (#622 <https://github.com/ros2/ros2cli/issues/622>)
  * Contributors: Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-iron-ros2cli (0.13.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-ros2cli (0.12.0-1jammy) jammy; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)

